<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class programs_Controller extends Controller
{
    public $selfName = 'programs_Controller';
    public $dashboardName = 'dashboard';

	// GET /programs
	public function index(Request $request) {
		$records = DB::table('program')->get();
		return response()->view('admin/programs/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /programs/add_new
	public function add_new(Request $request) {
		$records = DB::table('program')->get();
		return response()->view('admin/programs/add_new', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /programs/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/programs/view/$uid/SUB_dashboard");
	}
}
